LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSupportedLanguages Interface Referencepublished

`import"XSupportedLanguages.idl";`

Inheritance diagram for XSupportedLanguages:

## Public Member Functions
sequence< short > | getLanguages ()
boolean | hasLanguage ([in] short nLanguage)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Deprecated:

## Member Function Documentation

## ◆ getLanguages()

sequence< short > getLanguages | ( |  | ) |

## ◆ hasLanguage()

boolean hasLanguage | ( | [in] short | nLanguage | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XSupportedLanguages.idl